tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::accessor Class Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::accessor Class Reference

Allows write access to elements and combines data access, locking, and garbage collection. More...

`#include <concurrent_hash_map.h>`

Inheritance diagram for tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::accessor:

## Public Types
typedef concurrent_hash_map::value_type | value_type
| Type of value.
Public Types inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::const_accessor
typedef const concurrent_hash_map::value_type | value_type
| Type of value.

## Public Member Functions
reference | operator* () const
| Return reference to associated value in hash table.
pointer | operator-> () const
| Return pointer to associated value in hash table.
Public Member Functions inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::const_accessor
bool | empty () const
| True if result is empty.
void | release ()
| Set to null.
const_reference | operator* () const
| Return reference to associated value in hash table.
const_pointer | operator-> () const
| Return pointer to associated value in hash table.
| const_accessor ()
| Create empty result.
| ~const_accessor ()
| Destroy result after releasing the underlying reference.

## Additional Inherited Members
Protected Member Functions inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::const_accessor
bool | is_writer ()
Protected Attributes inherited from tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::const_accessor
node * | my_node
hashcode_t | my_hash

## Detailed Description

### template<typename Key, typename T, typename HashCompare = tbb_hash_compare<Key>, typename A = tbb_allocator<std::pair<Key, T> >>
class tbb::interface5::concurrent_hash_map< Key, T, HashCompare, A >::accessor

Allows write access to elements and combines data access, locking, and garbage collection.

The documentation for this class was generated from the following file:

- concurrent_hash_map.h

Copyright © 2005-2018 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.